import * as z from 'zod';
import { PdfTitleKeySchema } from '../../enums/PdfTitleKey.schema';
// prettier-ignore
export const PdfGroupResultSchema = z.object({
    id: z.number().int(),
    title: z.string(),
    titleKey: PdfTitleKeySchema,
    createdAt: z.date(),
    patientId: z.number().int(),
    patient: z.unknown(),
    pdfs: z.array(z.unknown())
}).strict();

export type PdfGroupResultType = z.infer<typeof PdfGroupResultSchema>;
